<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">
    <title>Department</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_setting::sidebar_setting" th:remove="tag"> sidebar </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Department
                </div>
            </div>
        </div>

        <div class="row">
            <div class="col-md-6">
                <form class="form-horizontal" th:action="@{/masterdata/departemen/save}" th:object="${departemen}" method="post">
                    <div class="card">
                        <div class="card-body">


                            <div class="mb-3">
                                <label for="selectsatu" class="form-label">Company</label>
                                <select class="form-select" id="selectsatu" name="instansi" th:field="*{instansi}" data-placeholder="Choose one thing" required>
                                    <option th:each="data : ${listInstansi}"
                                            th:text="${'('+ data.kode +')'  + '       -       ' +  data.nama}"
                                            th:value="${data.id}">sdasd</option>
                                </select>
                                <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
                            </div>

                            <div class="mb-3">
                                <label for="kodeDepartemen" class="form-label">Code</label>
                                <input type="text" class="form-control" id="kodeDepartemen" th:field="*{kodeDepartemen}" name="kodeDepartemen" placeholder="Code">
                                <p th:if="${#fields.hasErrors('kodeDepartemen')}" th:errors="*{kodeDepartemen}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="mb-3">
                                <label for="namaDepartemen" class="form-label">Name</label>
                                <input type="text" class="form-control" id="namaDepartemen" th:field="*{namaDepartemen}" name="namaDepartemen" placeholder="Name">
                                <p th:if="${#fields.hasErrors('namaDepartemen')}" th:errors="*{namaDepartemen}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="mb-3">
                                <label for="keterangan" class="form-label">Description</label>
                                <textarea class="form-control" id="keterangan" name="keterangan" th:field="*{keterangan}" rows="3"></textarea>
                                <p th:if="${#fields.hasErrors('keterangan')}" th:errors="*{keterangan}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="form-check">
                                <input name="statusAktif" id="statusAktif" type="checkbox" class="form-check-input" th:field="*{statusAktif}" value="AKTIF" >
                                <label class="form-check-label" for="statusAktif">
                                    Active
                                </label>
                            </div>

                            <div class="mb-3">
                                <label for="selectdua" class="form-label">Budget</label>
                                <select class="form-select" id="selectdua" name="budget" th:field="*{budget}" data-placeholder="Choose one thing" required>
                                    <option value="OPEN">OPEN</option>
                                    <option value="CLOSED">CLOSED</option>
                                </select>
                                <!--                            <input type="hidden" id="requestFor" name="requestFor" th:field="*{requestFor}">-->
                            </div>

                            <input type="hidden" name="id" th:field="*{id}">
                        </div>
                        <div class="card-body">
                            <a th:href="@{/masterdata/departemen}" class="btn btn-light" style="--bs-btn-bg: #e8ecf1">Cancel</a>
                            <button type="submit" class="btn btn-primary pull-right" style="--bs-btn-bg: #15408d" id="simpan">Save</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>

    </main>

</main>

</body>
</html>



<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Title</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--        <h1>-->
<!--            Department-->
<!--            <small></small>-->
<!--        </h1>-->
<!--        <ol class="breadcrumb">-->
<!--            <li class="treeview active"> Master Data</li>-->
<!--            <li class="active"> Department</li>-->
<!--        </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->


<!--    <div class="row">-->

<!--        <div class="col-md-6">-->
<!--            &lt;!&ndash; Horizontal Form &ndash;&gt;-->
<!--            <div class="box box-info">-->
<!--                <div class="box-header with-border">-->
<!--                    <h3 class="box-title">Department</h3>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-header &ndash;&gt;-->
<!--                &lt;!&ndash; form start &ndash;&gt;-->
<!--                <form class="form-horizontal" th:action="@{/masterdata/departemen/save}" th:object="${departemen}" method="post">-->
<!--                    <div class="box-body">-->

<!--                        <div class="form-group">-->
<!--                            <label for="departemen" class="col-sm-2 control-label">Institution</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <select class="form-control select2" name="departemen" th:field="*{instansi}" id="departemen" style="width: 100%;">-->
<!--                                    <option th:each="data : ${listInstansi}"-->
<!--                                            th:text="${'('+ data.kode +')'  + '       -       ' +  data.nama}"-->
<!--                                            th:value="${data.id}">sdasd</option>-->
<!--                                </select>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="kodeDepartemen" class="col-sm-2 control-label">Code</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{kodeDepartemen}" name="kodeDepartemen" id="kodeDepartemen" placeholder="Code Of Department">-->
<!--                                <p th:if="${#fields.hasErrors('kodeDepartemen')}" th:errors="*{kodeDepartemen}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                        <div class="form-group">-->
<!--                            <label for="namaDepartemen" class="col-sm-2 control-label">Name</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{namaDepartemen}" name="namaDepartemen" id="namaDepartemen" placeholder="Name Of Department">-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="inputKeterangan" class="col-sm-2 control-label">Description</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{keterangan}" name="ketarangan" id="inputKeterangan" placeholder="Description">-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="statusAktif"  class="col-sm-2 control-label">Active</label>-->
<!--                            <div class="col-sm-10">-->
<!--                                <input name="statusAktif" id="statusAktif" type="checkbox" class="flat-red" th:field="*{statusAktif}" value="AKTIF" >-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <input type="hidden" name="id" th:field="*{id}">-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                    <div class="box-footer">-->

<!--                        <a th:href="@{/masterdata/departemen}" class="btn btn-default">Cancel</a>-->
<!--                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>-->

<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-footer &ndash;&gt;-->
<!--                </form>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->


<!--</section>-->

<!--<section layout:fragment="footer" class="script">>-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#datepicker').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->
<!--</body>-->
<!--</html>-->